Summary:   A server-side, HTML-embedded scripting language
Name:      mod-php3
%define    version 3.0.6
Version:   %{version}
Release:   2
URL:       http://www.php.net
Source:    ftp://www.php.net/pub/distributions/php-%{version}.tar.gz
Source1:   http://www.php.net/distributions/manual.tar.gz
Source2:   http://www.php.net/distributions/manual.pdf
Source3:   http://www.php.net/distributions/manual.rtf
Source4:   http://www.php.net/distributions/bigmanual.html
Source5:   http://www.php.net/distributions/copyright.html
Source6:   http://www.php.net/logos/big-logo1t.gif
Source7:   FAQ.php3
Source8:   changes.php3
Source9:   add-php
Source10:  del-php
Source11:  add-php-doc
Source12:  del-php-doc
Source13:  logo1t.gif
Source14:  index.html
Icon:      php3.gif
Copyright: GPL
Group:     Networking/Daemons
Requires:  apache-mod_ssl 
Requires:  SSLeay >= 0.9.0b
Requires:  MySQL >= 3.21
Requires:  imap >= 4.4
Obsoletes: php, mod_php
BuildRoot: /tmp/%{name}-%{version}-root
Packager: Henri Gomez <gomez@slib.fr>

%description
PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
language. Much of its syntax is borrowed from C, Java and Perl with a
couple of unique PHP-specific features thrown in. The goal of the
language is to allow web developers to write dynamically generated
pages quickly.

%package doc
Group:   Networking/Daemons
Requires: webserver
Release: 2
Summary: Online manual for PHP3

%description doc
Comprehensive documentation for PHP3, viewable through your web server, too!

%prep
%setup -q -n php-%{version}
install -m644 %{SOURCE2} doc
install -m644 %{SOURCE3} doc
install -m644 %{SOURCE4} doc
install -m644 %{SOURCE5} doc
cd doc
patch <<End
--- docbook-filter
+++ docbook-filter
@@ -1,1 +1,1 @@
-#!/usr/local/bin/perl
+#!/usr/bin/perl
End
cd ..
#%patch -p0
chmod a-x doc/*.awk

%build
patch -p0 << End
--- Makefile.in
+++ Makefile.in
@@ -119 +119 @@
-	\$(APXS) -c -o libphp3.so \$(APXS_LDFLAGS) mod_php3.c libmodphp3-so.a
+	\$(APXS) -c -o libphp3.so -L/usr/lib/mysql \$(APXS_LDFLAGS) mod_php3.c libmodphp3-so.a \$(LIBS)
--- configure.in
+++ configure.in
@@ -243 +243 @@
-    APXS_LDFLAGS="@DBASE_LIB@ @ORACLE_LFLAGS@ @ORACLE_LIBS@ @IODBC_LFLAGS@ @IODBC_LIBS@ @SYBASE_LFLAGS@ @SYBASE_LIBS@ @SYBASE_CT_LFLAGS@ @SYBASE_CT_LIBS@ @MYSQL_LFLAGS@ @MYSQL_LIBS@ @MSQL_LFLAGS@ @MSQL_LIBS@ @ADA_LFLAGS@ @ADA_LIBS@ @SOLID_LIBS@ @EMPRESS_LIBS@ @OPENLINK_LIBS@ @PGSQL_LFLAGS@ @PGSQL_LIBS@ @LDAP_LFLAGS@ @LDAP_LIBS@ @VELOCIS_LIBS@ @CODBC_LFLAGS@ @CODBC_LIBS@ @ZLIB_LIBS@ @PDFLIB_LIBS@ @FDFTK_LIBS@ @IFX_LFLAGS@ @IFX_LIBS@ @IBASE_LFLAGS@ @IBASE_LIBS@"
+    APXS_LDFLAGS="@DBASE_LIB@ @ORACLE_LFLAGS@ @ORACLE_LIBS@ @IODBC_LFLAGS@ @IODBC_LIBS@ @SYBASE_LFLAGS@ @SYBASE_LIBS@ @SYBASE_CT_LFLAGS@ @SYBASE_CT_LIBS@ @MYSQL_LFLAGS@ @MYSQL_LIBS@ @MSQL_LFLAGS@ @MSQL_LIBS@ @ADA_LFLAGS@ @ADA_LIBS@ @SOLID_LIBS@ @EMPRESS_LIBS@ @OPENLINK_LIBS@ @PGSQL_LFLAGS@ @PGSQL_LIBS@ @LDAP_LFLAGS@ @LDAP_LIBS@ @VELOCIS_LIBS@ @CODBC_LFLAGS@ @CODBC_LIBS@ @ZLIB_LIBS@ @PDFLIB_LIBS@ @FDFLIB_LIBS@ @IFX_LFLAGS@ @IFX_LIBS@ @IBASE_LFLAGS@ @IBASE_LIBS@"
@@ -509 +509 @@
-        IMAP_DIR=/usr/local
+        IMAP_DIR=/usr
@@ -513 +513 @@
-    if test ! -f \$IMAP_DIR/include/mail.h; then
+    if test ! -f \$IMAP_DIR/include/imap/mail.h; then
@@ -516 +516 @@
-    if test ! -f  \$IMAP_DIR/include/rfc822.h; then
+    if test ! -f  \$IMAP_DIR/include/imap/rfc822.h; then
@@ -519 +519 @@
-    if test ! -f \$IMAP_DIR/include/linkage.h; then
+    if test ! -f \$IMAP_DIR/include/imap/linkage.h; then
@@ -522,2 +522,2 @@
-    if test ! -f \$IMAP_DIR/lib/c-client.a; then
-      AC_MSG_ERROR(could not find c-client.a in \$IMAP_DIR/lib !)
+    if test ! -f \$IMAP_DIR/lib/libimap.so; then
+      AC_MSG_ERROR(could not find libimap.so in \$IMAP_DIR/lib !)
@@ -525,2 +525,2 @@
-         IMAP_INCLUDE="-I\$IMAP_DIR/include/"
-       IMAP_LIBS="\$IMAP_DIR/lib/c-client.a"
+         IMAP_INCLUDE="-I\$IMAP_DIR/include/imap"
+       IMAP_LIBS="-limap -lpam"
@@ -928 +928 @@
-		MYSQL_LFLAGS="'\${apxs_runpath_switch}\$MYSQL_LIBDIR' -L\$MYSQL_LIBDIR"
+		MYSQL_LFLAGS=
@@ -930 +930 @@
-		MYSQL_LFLAGS="\${ld_runpath_switch}\$MYSQL_LIBDIR -L\$MYSQL_LIBDIR"
+		MYSQL_LFLAGS=
End
autoconf
#CFLAGS="$RPM_OPT_FLAGS -I/usr/include/ssl -D_REENTRANT -D_REGEX_H_" \
CFLAGS="$RPM_OPT_FLAGS -I/usr/include/ssl -D_REGEX_H_" \
./configure \
	--with-apxs \
	--prefix=/usr \
	--with-gd \
	--with-mysql=/usr \
        --enable-safe-mode \
	--with-exec-dir=/usr/bin \
	--disable-short-tags \
	--with-zlib \
	--with-dbase \
	--with-filepro \
	--with-imap \
	--with-config-file-path=/etc/httpd/conf \
	--disable-debug \
	--enable-magic-quotes \
	--enable-debugger \
	--enable-bcmath \
	--enable-track-vars \
	--with-system-regex
make
make -C convertor

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/httpd
install -d $RPM_BUILD_ROOT/etc/httpd/conf
install -d $RPM_BUILD_ROOT/home/httpd/icons
install -d $RPM_BUILD_ROOT/home/httpd/html/manual/mod/mod_php3
install -d $RPM_BUILD_ROOT/usr/lib/apache
install -d $RPM_BUILD_ROOT/usr/bin
install -m755 libphp3.so $RPM_BUILD_ROOT/usr/lib/apache/mod_php3.so
install -m755 convertor/convertor $RPM_BUILD_ROOT/usr/bin
install -m644 php3.ini-dist $RPM_BUILD_ROOT/etc/httpd/conf/php3.ini
install -m644 extra/icons/*.gif $RPM_BUILD_ROOT/home/httpd/icons
install -m644 %{SOURCE13} $RPM_BUILD_ROOT/home/httpd/icons
install -m644 %{SOURCE6} $RPM_BUILD_ROOT/home/httpd/icons
install -m755 %{SOURCE9} $RPM_BUILD_ROOT/usr/lib/apache
install -m755 %{SOURCE10} $RPM_BUILD_ROOT/usr/lib/apache
install -m755 %{SOURCE11} $RPM_BUILD_ROOT/usr/lib/apache
install -m755 %{SOURCE12} $RPM_BUILD_ROOT/usr/lib/apache
mv -f convertor/README convertor/README.convertor
cp -f %{SOURCE7} .
cp -f %{SOURCE8} .
mkdir -p $RPM_BUILD_ROOT/home/httpd/php/bin
ln -sf /bin/uname $RPM_BUILD_ROOT/home/httpd/php/bin/uname
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/mod/mod_php3
cd $RPM_BUILD_ROOT/home/httpd/html/manual/mod/mod_php3
tar xzpf %{SOURCE1}
ln -sf manual.html index.html

# install modified index.html
install -m644 %{SOURCE14} $RPM_BUILD_ROOT/home/httpd/html

strip $RPM_BUILD_ROOT/usr/{bin/*,lib/apache/*.so} ||

%post
/usr/lib/apache/add-php

%preun
if [ $1 = 0 ]; then
  /usr/lib/apache/del-php
fi

%post doc
/usr/lib/apache/add-php-doc

%preun doc
if [ $1 = 0 ]; then
  /usr/lib/apache/del-php-doc
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGES COPYING CREDITS ChangeLog EXTENSION_STATUS FUNCTION_LIST.txt INSTALL LICENSE TODO WISHLIST*
%doc convertor/README.convertor examples FAQ.php3 changes.php3
%config /etc/httpd/conf/php3.ini
%dir /home/httpd/php
/home/httpd/html/index.html
/home/httpd/php/bin
/home/httpd/icons/*
/usr/bin/convertor
%attr(644,root,root) /usr/lib/apache/*.so
/usr/lib/apache/add-php
/usr/lib/apache/del-php

%files doc
%defattr(-,root,root)
%doc doc/*
%dir /home/httpd/php
/home/httpd/html/manual/mod/mod_php3
/usr/lib/apache/add-php-doc
/usr/lib/apache/del-php-doc

%changelog doc
* Tue Feb  2 1999 Henri Gomez <gomez@slib.fr>
 - moved html php3 docs to /home/httpd/html/manual/mod/mod_php3 to follow RH & mod_ssl way

%changelog
* Mon Feb  2 1999 Henri Gomez <gomez@slib.fr>
- Adapted apache-php SRPMS from Khimenko Victor SRPMS to standard RH5.2
- moved /usr/libexec/apache to /usr/lib/apache to follow latest apache rpm
- added requires SSLeay
- added -L/usr/lib/mysql to apxs
- mod_ssl 2.2.0 upgraded
- now exec bin in /usr/bin instead of /home/httpd/bin
- modified index.html to reflect PHP3 installation.

* Fri Jan 22 1999 Khimenko Victor <khim@sch57.msk.ru>
- mod_ssl 2.1.8 is out => EAPI changes
* Wed Jan 13 1999 Khimenko Victor <khim@sch57.msk.ru>
- Apache 1.3.4 => recompilation of all DSO modules
* Sun Jan 10 1999 Khimenko Victor <khim@sch57.msk.ru>
- error in add-php-doc script fixed
* Wed Dec 30 1998 Khimenko Victor <khim@sch57.msk.ru>
- now this rpm could be even really used (i.e. mod_php.so could be loaded :-)
* Fri Dec 25 1998 Khimenko Victor <khim@sch57.msk.ru>
- update to 3.0.6
* Wed Dec 23 1998 Khimenko Victor <khim@sch57.msk.ru>
- EAPI hack
* Mon Nov 23 1998 Khimenko Victor <khim@sch57.msk.ru>
- added imap support
* Sun Oct 11 1998 Khimenko Victor <khim@sch57.msk.ru>
- recompiled with apache 1.3.3
* Wed Oct  7 1998 Khimenko Victor <khim@sch57.msk.ru>
- update to 3.0.5
* Sun Sep 27 1998 Khimenko Victor <khim@sch57.msk.ru>
- changes for compatibility with threads library
* Thu Sep 24 1998 Khimenko Victor <khim@sch57.msk.ru>
- update to 3.0.4, changes for KSI-Linux
* Mon Aug 17 1998 Arne Coucheron <arneco@online.no>
  [3.0.3-1]
- module moved to /usr/libexec/apache to comply with latest apache rpm

* Fri Aug 07 1998 Andrea Borgia <borgia@cs.unibo.it>
  [3.0.2a]
- removed unnecessary "requires freetype" and "requires gd"
	(they're autodetected by rpm and do not force the builder
	to have them installed at compile-time)
- fixed sed substitutions (extra or missing escapes)
- added to %doc: COPYING, EXTENSION_STATUS, INSTALL, LICENSE, TODO, WISHLIST*
- added online manual as a subpackage and made it viewable through web server
	(think of a cluster of machines to see the reason why)

* Mon Jul 06 1998 Arne Coucheron <arneco@online.no>
  [3.0.1-1]

* Sun Jun 21 1998 Arne Coucheron <arneco@online.no>
  [3.0-1]
- added --with-zlib and --enable-debugger to configure
- changed name of package to mod_php

* Fri Jun 05 1998 Arne Coucheron <arneco@online.no>
  [3.0RC5-2]
- recompiled against Apache 1.3.0
- corrected source and url tags

* Tue Jun 02 1998 Arne Coucheron <arneco@online.no>
  [3.0RC5]
- this is now a standalone package thanks to the DSO capabilities of
  Apache 1.3 which make it possible to build modules outside the Apache
  source tree
